LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XInvocationAdapterFactory Interface Referencepublished

Interface to create adapter objects giving a type to be supported and a an invocation interface incoming calls are delegated to. More...

`import <XInvocationAdapterFactory.idl;`

Inheritance diagram for XInvocationAdapterFactory:

## Public Member Functions
com::sun::star::uno::XInterface | createAdapter ([in]XInvocation Invocation, [in]type aType)
| Creates an adapter interface of given type for calling the given XInvocation interface.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Interface to create adapter objects giving a type to be supported and a an invocation interface incoming calls are delegated to.

This interface is deprecated. Use XInvocationAdapterFactory2.

Deprecated

## Member Function Documentation

## ◆ createAdapter()

com::sun::star::uno::XInterface createAdapter | ( | [in] XInvocation | Invocation,
|  | [in] type | aType )

Creates an adapter interface of given type for calling the given XInvocation interface.

Parameters

  Invocation | invocation interface being called on incoming adapter calls
  aType | supported type of adapter

Returns
  adapter interface; this interface can be queried for XInterface and given type

The documentation for this interface was generated from the following file:

- com/sun/star/script/XInvocationAdapterFactory.idl